Saturn Assembler                                       Mon Apr 12 03:10:24 2010
V3.0.9 (04/15/2007)                                      mfed.a         Page    1

    1               * File  mfed.s  1
    2               * RPL
    3               * File  mfed.s  2
    4               * C:\Documents and Settings\Han\My Documents\Debug4x\Projects\mfed.s, part of the mfed.hpp project, created by <> on 4/12/2010
    5               * File  mfed.s  3
    6
    7               **********************************************************************
    8               * Module Name:          MFED
    9               * Author:               Han Duong
   10               * Contact:              rs1n@hotmail.com
   11               * Version:              1.0 - April 12, 2010
   12               *                       tested on HP49G+ and HP50G w/ ROM 2.15 HP49-C
   13               *                       tested on HP49G w/ ROM 1.24 HP49-C
   14               * Usage:                1: Minifont -> 1: Minifont'
   15               *                       Press ENTER to save changes and exit editor
   16               *                       Press ON to cancel changes and exit editor
   17               **********************************************************************
   18               * File  mfed.s  15
   19 00000 00000           CON(5)  =DOCOL
   20               * File  mfed.s  16
   21 00005 00000           CON(5)  =CK1&Dispatch
   22               * File  mfed.s  17
   23 0000A 00000           CON(5)  =DOBINT
   24 0000F FD000           CON(5)  #DF
   25               * File  mfed.s  18
   26 00014 00000           CON(5)  =DOCOL
   27               * File  mfed.s  19
   28 00019 00000           CON(5)  =TOTEMPOB
   29               * File  mfed.s  20
   30               * ASSEMBLE
   31               * File  mfed.s  21
   32 0001E 00000           CON(5)  =DOROMP         * xFONT6 is ROMPTR DD F in ROM 2.15
   33               * File  mfed.s  22
   34 00023 DD0             CON(3)  #DD
   35               * File  mfed.s  23
   36 00026 F00             CON(3)  #F
   37               * File  mfed.s  24
   38               * RPL
   39               * File  mfed.s  25
   40               * CODE
   41 00029 00000           CON(5)  =DOCODE
   42 0002E F5000           REL(5)  LBL000
   43               * File  mfed.s  26
   44 00033 7C20            GOSUB   ->fdat          * D1 -> MF data; D0 -> FONT6 data
   45               * File  mfed.s  27
   46 00037 2A      --      P=      16-6            * copy 6 rows of MF data
   47               * File  mfed.s  28
   48 00039 AF0             A=0     W
   49               * File  mfed.s  29
   50 0003C 1507            DAT0=A  W               * clear all 8 rows of current char
   51               * File  mfed.s  30
   52 00040 15B0    -       A=DAT1  1
   53               * File  mfed.s  31
   54 00044 1580            DAT0=A  1
   55               * File  mfed.s  32
   56 00048 161             D0=D0+  2
   57               * File  mfed.s  33
   58 0004B 170             D1=D1+  1
   59               * File  mfed.s  34
   60 0004E 0C              P=P+1
   61               * File  mfed.s  35
   62 00050 5FE             GONC    -
   63               * File  mfed.s  36
   64 00053 163             D0=D0+  4               * skip data rows 7 and 8
   65               * File  mfed.s  37
   66 00056 A6E             C=C-1   B
   67               * File  mfed.s  38
   68 00059 5DD             GONC    --
   69               * File  mfed.s  39
   70 0005C 8D00000         GOVLNG  =GPPushTLoop
   71               * File  mfed.s  40
   72 00063 8F00000 ->fdat  GOSBVL  =SAVPTR
   73               * File  mfed.s  41
   74 0006A 143             A=DAT1  A
   75               * File  mfed.s  42
   76 0006D D2              C=0     A
   77               * File  mfed.s  43
   78 0006F 3122            LC(2)   5+5+2+2+2+16+2  * offset to FONT6 data
   79               * File  mfed.s  44
   80 00073 CA              A=A+C   A
   81               * File  mfed.s  45
   82 00075 130             D0=A
   83               * File  mfed.s  46
   84 00078 174             D1=D1+  5
   85               * File  mfed.s  47
   86 0007B 143             A=DAT1  A
   87               * File  mfed.s  48
   88 0007E 31C0            LC(2)   5+5+2           * offset to minifont data
   89               * File  mfed.s  49
   90 00082 CA              A=A+C   A
   91               * File  mfed.s  50
   92 00084 131             D1=A
   93               * File  mfed.s  51
   94 00087 31FF            LC(2)   256-1           * 256 characters
   95               * File  mfed.s  52
   96 0008B 01              RTN
   97               * File  mfed.s  53
   98               * ENDCODE
   99 0008D         LBL000
  100               * File  mfed.s  54
  101
  102               * File  mfed.s  55
  103 0008D 00000           CON(5)  ='
  104 00092 00000           CON(5)  =DOCOL
  105 00097 00000           CON(5)  =DropBadKey
  106 0009C 00000           CON(5)  =DROPFALSE
  107 000A1 00000           CON(5)  =SEMI
  108               * File  mfed.s  56
  109 000A6 00000           CON(5)  =EditFont
  110 000AB 00000           CON(5)  =NOT
  111 000B0 00000           CON(5)  =?SEMI
  112               * File  mfed.s  57
  113
  114               * File  mfed.s  58
  115               * CODE
  116 000B5 00000           CON(5)  =DOCODE
  117 000BA E2000           REL(5)  LBL001
  118               * File  mfed.s  59
  119 000BF 70AF            GOSUB   ->fdat
  120               * File  mfed.s  60
  121 000C3 2A      --      P=      16-6
  122               * File  mfed.s  61
  123 000C5 15A0    -       A=DAT0  1
  124               * File  mfed.s  62
  125 000C9 1590            DAT1=A  1
  126               * File  mfed.s  63
  127 000CD 161             D0=D0+  2
  128               * File  mfed.s  64
  129 000D0 170             D1=D1+  1
  130               * File  mfed.s  65
  131 000D3 0C              P=P+1
  132               * File  mfed.s  66
  133 000D5 5FE             GONC    -
  134               * File  mfed.s  67
  135 000D8 163             D0=D0+  4
  136               * File  mfed.s  68
  137 000DB A6E             C=C-1   B
  138               * File  mfed.s  69
  139 000DE 54E             GONC    --
  140               * File  mfed.s  70
  141 000E1 8D00000         GOVLNG  =GETPTRLOOP
  142               * File  mfed.s  71
  143               * ENDCODE
  144 000E8         LBL001
  145               * File  mfed.s  72
  146 000E8 00000           CON(5)  =DROP
  147               * File  mfed.s  73
  148 000ED 00000           CON(5)  =SEMI
  149               * File  mfed.s  74
  150 000F2 00000           CON(5)  =SEMI
Saturn Assembler                                       Mon Apr 12 03:10:24 2010
V3.0.9 (04/15/2007)   Symbol Table                       mfed.a         Page    2

 '                                 Ext                   -   103
 ->fdat                            Rel      99 #00000063 -    72    44   119
 ?SEMI                             Ext                   -   111
 CK1&Dispatch                      Ext                   -    21
 DOBINT                            Ext                   -    23
 DOCODE                            Ext                   -    41   116
 DOCOL                             Ext                   -    19    26   104
 DOROMP                            Ext                   -    32
 DROP                              Ext                   -   146
 DROPFALSE                         Ext                   -   106
 DropBadKey                        Ext                   -   105
 EditFont                          Ext                   -   109
 GETPTRLOOP                        Ext                   -   141
 GPPushTLoop                       Ext                   -    70
 LBL000                            Rel     141 #0000008D -    99    42
 LBL001                            Rel     232 #000000E8 -   144   117
 NOT                               Ext                   -   110
 SAVPTR                            Ext                   -    72
 SEMI                              Ext                   -   107   148   150
 TOTEMPOB                          Ext                   -    28
 lBm10                             Rel      64 #00000040 -    52    62
 lBm11                             Rel     197 #000000C5 -   123   133
 lBm20                             Rel      55 #00000037 -    46    68
 lBm21                             Rel     195 #000000C3 -   121   139
Saturn Assembler                                       Mon Apr 12 03:10:24 2010
V3.0.9 (04/15/2007)   Statistics                         mfed.a         Page    3

Input Parameters

  Source file name is mfed.a

  Listing file name is mfed.l

  Object file name is mfed.o

  Flags set on command line
    None

Warnings:

  None

Errors:

  None
